package nl.voidcorp.ottobot.command

enum class CommandLevel(val levelName: String, val parent: CommandLevel? = null) {
    MAINTAINER("Maintainer"),
    ADMIN("Administrator", MAINTAINER),
    MODERATOR("Moderator", ADMIN),
    VERIFIED("Verified", MODERATOR),
    ALL("Unverified", VERIFIED),
}