package nl.voidcorp.ottobot.events

import net.dv8tion.jda.api.entities.Activity
import net.dv8tion.jda.api.events.ReadyEvent
import net.dv8tion.jda.api.events.ReconnectedEvent
import net.dv8tion.jda.api.hooks.ListenerAdapter
import nl.voidcorp.ottobot.logger

import kotlin.system.exitProcess


object OttoListener : ListenerAdapter() {
    override fun onReady(event: ReadyEvent) {
        logger.info("Found ${event.guildTotalCount} different guilds!")
    }

    override fun onReconnect(event: ReconnectedEvent) {
        val id = event.jda.shardInfo.shardId
        val reconn = event.responseNumber
        val version = "3.0"
        if(reconn >=10) exitProcess(0)
        event.jda.presence.activity = Activity.playing("v$version ($id~$reconn)")

    }
}