package nl.voidcorp.ottobot.commands.`fun`

import net.dv8tion.jda.api.EmbedBuilder
import nl.voidcorp.ottobot.command.Command
import nl.voidcorp.ottobot.command.CommandGroup
import nl.voidcorp.ottobot.command.CommandMessage
import nl.voidcorp.ottobot.command.CommandResult
import kotlin.random.Random

object WoolooCommand : Command(
    "wooloo",
    helpMesage = "WOOLOO!",
    usage = "wooloo",
    group = CommandGroup.FUN,
    aliases = listOf("wooloo!", "sheepy"),
    allowAnywhere = true
) {
    val wooloos = (System.getenv("WOOLOOS") ?: "10").toIntOrNull() ?: 10


    override fun handle(event: CommandMessage): CommandResult {

        val b = EmbedBuilder().setTitle("Wooloo best sheepy")
            .setImage("https://cdn.voidcorp.nl/otto/wooloo${Random.nextInt(wooloos)}.jpg").setFooter("Best Sheep <3")
        event.reply(b.build())
        return CommandResult.SUCCESS
    }
}