package nl.voidcorp.ottobot.commands.general

import nl.voidcorp.ottobot.command.Command
import nl.voidcorp.ottobot.command.CommandMessage
import nl.voidcorp.ottobot.command.CommandResult



object XYProblemCommand : Command(
    "xyproblem",
    "Asking about your attempted solution rather than your actual problem",
    "xy",
    allowAnywhere = true,
    aliases = listOf("xy")
) {
    override fun handle(event: CommandMessage): CommandResult {
        event.reply("http://xyproblem.info")
        return CommandResult.SUCCESS
    }
}